using System;

namespace ConsoleApp1
{
    class Program
    {
        static long racun(long prvi, long drugi, long pom)
        {
            if (Math.Min(prvi, drugi) == 0) return Math.Max(prvi, drugi) * pom;
            else
            {
                if (prvi % 10 > drugi % 10) return prvi % 10 * pom + racun(prvi / 10, drugi / 10, pom * 10);
                else if (prvi % 10 < drugi % 10) return drugi % 10 * pom + racun(prvi / 10, drugi / 10, pom * 10);
                else return prvi % 10 * pom + drugi % 10 * (pom * 10) + racun(prvi / 10, drugi / 10, pom * 100);
            }
        }
        static void Main(string[] args)
        {
            long prvi = Convert.ToInt64(Console.ReadLine());
            long drugi = Convert.ToInt64(Console.ReadLine());
            Console.WriteLine(racun(prvi, drugi, 1));
            Console.ReadKey();
        }
    }
}